For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportContact salesStart free trial
  • Getting started
    • Overview
    • Authentication
    • Querying tutorial
    • OData Integrations
    • Work Breakdown Structure
    • Software Development Kits
    • API Patch Notes
    • FAQ
    • Terms of use
  • API Reference
      • GETRetrieve Integration
      • POSTEnable Integration
      • DELDisable Integration
      • GETRetrieve All Integrations
LogoLogo
SupportContact salesStart free trial
API ReferenceIntegration

Retrieve Integration

GET
https://api.projectmanager.com/api/data/integrations/:integrationId
GET
/api/data/integrations/:integrationId
$curl https://api.projectmanager.com/api/data/integrations/integrationId \
> -H "Authorization: Bearer <token>"
200Retrieved
1{
2 "error": {
3 "technicalError": "string",
4 "additionalErrors": [
5 "string"
6 ],
7 "validationErrors": {},
8 "message": "string"
9 },
10 "success": true,
11 "hasError": true,
12 "statusCode": "Continue",
13 "data": {
14 "id": "string",
15 "name": "string",
16 "description": "string",
17 "shortId": "string",
18 "isMultiInstance": true,
19 "licenseSkus": [
20 "string"
21 ],
22 "instances": [
23 {
24 "id": "string",
25 "integrationShortId": "string",
26 "enabledBy": "string",
27 "createDate": "2024-01-15T09:30:00Z",
28 "modifyDate": "2024-01-15T09:30:00Z",
29 "projectId": "string",
30 "providerItemId": "string",
31 "providerItemName": "string"
32 }
33 ],
34 "enabled": true,
35 "authenticated": true,
36 "autoEnabled": true,
37 "noAdminPermission": true
38 }
39}
Retrieves an Integration specified by a unique identifier. The Integrations API is intended for use by ProjectManager and its business development partners. Please contact ProjectManager's sales team to request use of this API.
Was this page helpful?
Previous

Enable Integration

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

integrationIdstringRequiredformat: "uuid"
The unique identifier of this Integration

Headers

x-integration-namestringOptional
The name of the calling system passed along as a header parameter

Response

Success
errorobject or null
If the API call failed, this will contain information about the error that occurred.
successbooleanRead-only

True if the API call succeeded; false otherwise.

hasErrorbooleanRead-only
True if the API call failed.
statusCodeenum
The HTTP code of the response.
dataobject
The Integrations API is intended for use by ProjectManager and its business development partners. Please contact ProjectManager's sales team to request use of this API.